Skip to content
Permalink
Branch: master
Find file Copy path
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
109 lines (100 sloc) 2.61 KB
sudo: false
dist: trusty
before_install:
# Rubygems > 3.0.0 no longer supported rubies < 2.3
- gem install "rubygems-update:<3.0.0" --no-document && update_rubygems
# Bundler 2.0 is not supported by Rails < 5
- gem list -i bundler -v '>= 2.0.0' && rvm @global do gem uninstall bundler -x || true
- gem install bundler -v '~> 1.17'
before_script:
- "bundle exec rake prepare_test_env"
script: "bundle exec rspec"
language: ruby
cache: bundler
services: mongodb
rvm:
- 1.9.3
- 2.0.0
- 2.1.10
- 2.2.10
- 2.3.8
- 2.4.6
- 2.5.5
- 2.6.3
- ruby-head
# TODO: investigate failure
# This is an arbitrary failure on travis
#- jruby-19mode
#- jruby-head
#- rbx-19mode
gemfile:
- gemfiles/mongoid2.gemfile
- gemfiles/mongoid3.gemfile
- gemfiles/mongoid4.gemfile
- gemfiles/mongoid5.gemfile
- gemfiles/mongoid6.gemfile
- gemfiles/mongoid7.gemfile
- gemfiles/rails3.gemfile
- gemfiles/rails4.gemfile
- gemfiles/rails5.gemfile
matrix:
exclude:
- rvm: 1.9.3
gemfile: gemfiles/rails5.gemfile
- rvm: 1.9.3
gemfile: gemfiles/mongoid5.gemfile
- rvm: 1.9.3
gemfile: gemfiles/mongoid6.gemfile
- rvm: 1.9.3
gemfile: gemfiles/mongoid7.gemfile
- rvm: 2.0.0
gemfile: gemfiles/rails5.gemfile
- rvm: 2.0.0
gemfile: gemfiles/mongoid5.gemfile
- rvm: 2.0.0
gemfile: gemfiles/mongoid6.gemfile
- rvm: 2.0.0
gemfile: gemfiles/mongoid7.gemfile
- rvm: 2.1.10
gemfile: gemfiles/rails5.gemfile
- rvm: 2.1.10
gemfile: gemfiles/mongoid5.gemfile
- rvm: 2.1.10
gemfile: gemfiles/mongoid6.gemfile
- rvm: 2.1.10
gemfile: gemfiles/mongoid7.gemfile
- rvm: 2.4.6
gemfile: gemfiles/rails3.gemfile
- rvm: 2.4.6
gemfile: gemfiles/rails4.gemfile
- rvm: 2.4.6
gemfile: gemfiles/mongoid2.gemfile
- rvm: 2.4.6
gemfile: gemfiles/mongoid3.gemfile
- rvm: 2.5.5
gemfile: gemfiles/rails3.gemfile
- rvm: 2.5.5
gemfile: gemfiles/rails4.gemfile
- rvm: 2.5.5
gemfile: gemfiles/mongoid2.gemfile
- rvm: 2.5.5
gemfile: gemfiles/mongoid3.gemfile
- rvm: 2.6.3
gemfile: gemfiles/rails3.gemfile
- rvm: 2.6.3
gemfile: gemfiles/rails4.gemfile
- rvm: 2.6.3
gemfile: gemfiles/mongoid2.gemfile
- rvm: 2.6.3
gemfile: gemfiles/mongoid3.gemfile
- rvm: ruby-head
gemfile: gemfiles/rails3.gemfile
- rvm: ruby-head
gemfile: gemfiles/rails4.gemfile
- rvm: ruby-head
gemfile: gemfiles/mongoid2.gemfile
- rvm: ruby-head
gemfile: gemfiles/mongoid3.gemfile
notifications:
recipients:
- andreas@aloop.org
You can’t perform that action at this time.